/****************************************************
**
** PICProgrammerHardwareParallel.H
**
****************************************************/

#ifndef PICPROGRAMMERHARDWAREPARALLELCLASS_H
#define PICPROGRAMMERHARDWAREPARALLELCLASS_H

//#include "PICProgrammerHardware.H"
#include "PICPH.H"

class PICProgrammerHardwareParallelClass : public PICProgrammerHardwareClass {

public:
	PICProgrammerHardwareParallelClass( int lpt_port = -1 );
	~PICProgrammerHardwareParallelClass( void );

	virtual int		Found( void );
	virtual char *	Get_Description( void );

protected:
	virtual void	Set_State( int state_bits );
	virtual int		Get_Input( void );

private:
	int Set_LPT_Port( int port );

	int				LPTPort;
	unsigned short	PortRegister;
	unsigned char	PortRegisterBits;
};

#endif // PICPROGRAMMERHARDWAREPARALLELCLASS_H
